#################################################模板通过接口##################################################

[TemplateQuerySupportType]
code = 52001
desc = "查询模板支持的类型"

[TemplatePointQuerySupportType]
code = 52002
desc = "查询模板点位支持的数据类型"

[TemplatePointQuerySupportAccess]
code = 52003
desc = "查询模板点位支持的权限类型"

[DriverQuerySupportType]
code = 52004
desc = "查询驱动支持的类型"

#################################################模板管理接口##################################################

[TemplateQueryPage]
code = 52011
desc = "查询所有模板"

[TemplateCreate]
code = 52012
desc = "创建模板"

[TemplateUpdate]
code = 52013
desc = "更新模板"

[TemplateDelete]
code = 52014
desc = "删除模板"

[TemplateQuery]
code = 52015
desc = "查询模板"

#################################################模板点位接口##################################################

[PointQueryAll]
code = 52021
desc = "查询所有模板点位"

[PointCreate]
code = 52022
desc = "创建模板点位"

[PointUpdate]
code = 52023
desc = "更新模板点位"

[PointDelete]
code = 52024
desc = "删除模板点位"

#################################################驱动管理接口##################################################

[DriverQueryPage]
code = 52201
desc = "查询模板点位"

[DriverCreate]
code = 52202
desc = "创建驱动"

[DriverUpdate]
code = 52203
desc = "更新驱动"

[DriverDelete]
code = 52204
desc = "删除驱动"

[DriverQuery]
code = 52205
desc = "查询驱动"

[DriverQueryStatus]
code = 52206
desc = "查询驱动状态"

[DriverStart]
code = 52207
desc = "启动驱动"

[DriverStop]
code = 52208
desc = "停止驱动"

[DriverTemplateQuery]
code = 52209
desc = "查询驱动模板"


#################################################设备管理接口##################################################

[DeviceQueryAll]
code = 52301
desc = "查询所有设备"

[DeviceCreate]
code = 52302
desc = "创建设备"

[DeviceUpdate]
code = 52303
desc = "更新设备"

[DeviceDelete]
code = 52304
desc = "删除设备"

#################################################历史记录接口##################################################

[HistoryQueryConfig]
code = 52401
desc = "查询历史记录配置"

[HistoryUpdateConfig]
code = 52402
desc = "更新历史记录配置"

[HistoryQuery]
code = 52403
desc = "查询历史记录"

[HistoryClear]
code = 52404
desc = "清除历史记录"

[HistoryExport]
code = 52405
desc = "导出历史记录"
